%global forgeurl https://github.com/SRombauts/BoostHttpServer
%global commit 4bc36235fb60a0db20ff4b722ff1136acde4651d
%forgemeta

%global common_description %{expand:
This is a simple C++ embeddable web server build from the Boost.Asio
multithreaded HTTP 1.0 Server Example.}

Name:           BoostHttpServer
Version:        0
Release:        %autorelease
Summary:        Improvements on top of the Boost Asio HTTP server example 

License:        Boost
URL:            %{forgeurl}
Source0:        %{forgesource}
# Backport of PR#1: Update to the latest CTML version
Patch0:         BoostHttpServer-ctml.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  sed
BuildRequires:  boost-devel
BuildRequires:  CTML-devel

%description
%{common_description}

%package        devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
%{common_description}

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.

%prep
%forgeautosetup -p1

%build
mkdir Debug
%set_build_flags
%make_build LINK_FLAGS="%{build_ldflags}"
doxygen docs

%install
install -Dpm0755 Debug/example1_static %{buildroot}%{_bindir}/http_server_static
install -Dpm0755 Debug/example2_dynamic %{buildroot}%{_bindir}/http_server_dynamic
install -Dpm0644 -t %{buildroot}%{_includedir}/%{name} src/server/*

%files
%license LICENSE_1_0.txt
%doc README.md
%{_bindir}/*

%files devel
%license LICENSE_1_0.txt
%doc README.md
%{_includedir}/%{name}

%files doc
%license LICENSE_1_0.txt
%doc html

%changelog
%autochangelog
